This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Upgrade to ExtUtils::MakeMaker 6.25
[perl5.git] / lib / ExtUtils / MM_MacOS.pm
1 package ExtUtils::MM_MacOS;
2
3 $VERSION = 1.08;
4
5 sub new {
6     die <<'UNSUPPORTED';
7 MacOS Classic (MacPerl) is no longer supported by MakeMaker.
8 Please use Module::Build instead.
9 UNSUPPORTED
10 }
11
12 =head1 NAME
13
14 ExtUtils::MM_MacOS - once produced Makefiles for MacOS Classic
15
16 =head1 SYNOPSIS
17
18   # MM_MacOS no longer contains any code.  This is just a stub.
19
20 =head1 DESCRIPTION
21
22 Once upon a time, MakeMaker could produce an approximation of a correct
23 Makefile on MacOS Classic (MacPerl).  Due to a lack of maintainers, this
24 fell out of sync with the rest of MakeMaker and hadn't worked in years.
25 Since there's little chance of it being repaired, MacOS Classic is fading
26 away, and the code was icky to begin with, the code has been deleted to
27 make maintenance easier.
28
29 Those interested in writing modules for MacPerl should use Module::Build
30 which works better than MakeMaker ever did.
31
32 Anyone interested in resurrecting this file should pull the old version
33 from the MakeMaker CVS repository and contact makemaker@perl.org, but we
34 really encourage you to work on Module::Build instead.
35
36 =cut
37
38 1;